#
# Conditional build:
%bcond_with	static	# link statically with libapparmor

Summary:	Basic AppArmor binary utilities
Summary(pl.UTF-8):	Podstawowe narzędzia AppArmor w postaci binarnej
Name:		apparmor-binutils
Version:	3.0.9
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://launchpad.net/apparmor/3.0/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	b375c0b9e7bb31760ee50d2642f302d1
URL:		http://wiki.apparmor.net/
BuildRequires:	libapparmor-devel >= 1:%{version}
%{?with_static:BuildRequires:	libapparmor-static >= 1:%{version}}
%{!?with_static:Requires:	libapparmor >= 1:%{version}}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Basic AppArmor utilities written in compiled languages.

%description -l pl.UTF-8
Podstawowe narzędzia AppArmor napisane w językach kompilowanych.

%prep
%setup -q -n apparmor-%{version}

%build
%{__make} -C binutils \
	%{!?with_static:AALIB="-lapparmor -lpthread"} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	USE_SYSTEM=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C binutils install \
	DESTDIR=$RPM_BUILD_ROOT \
	USE_SYSTEM=1

%find_lang aa-binutils

%clean
rm -rf $RPM_BUILD_ROOT

%files -f aa-binutils.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/aa-enabled
%attr(755,root,root) %{_bindir}/aa-exec
%attr(755,root,root) %{_bindir}/aa-features-abi
%attr(755,root,root) %{_sbindir}/aa-status
%attr(755,root,root) %{_sbindir}/apparmor_status
%{_mandir}/man1/aa-enabled.1*
%{_mandir}/man1/aa-exec.1*
%{_mandir}/man1/aa-features-abi.1*
%{_mandir}/man8/aa-status.8*
%{_mandir}/man8/apparmor_status.8*
%changelog
* Sat Nov 25 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apparmor-binutils.git;a=log;h=master

* Thu Apr 06 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 852354f
- Up to 3.0.9

* Tue Nov 29 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 456908c
- Up to 3.0.8.

* Wed Sep 07 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 66bb3a3
- Up to 3.0.7.

* Mon Mar 28 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 7abae32
- Up to 3.0.4.

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 13ce85a
- rebuild with separate debuginfo build-ids

* Sun Feb 07 2021 Arkadiusz Miśkiewicz <arekm@maven.pl> d06f8a5
- up to 3.0.1

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> af74790
- updated to 2.13.4

* Tue Jul 16 2019 Jakub Bogusz <qboosh@pld-linux.org> 8263cfb
- updated to 2.13.3

* Thu Mar 28 2019 Jan Rękorajski <baggins@pld-linux.org> 46733e4
- up to 2.13.2

* Wed Apr 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 32df2cb
- updated to 2.13

* Sat Jan 06 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 189f514
- up to 2.12

* Sat Oct 21 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 25b36d9
- up to 2.11.1

* Tue Apr 04 2017 Jakub Bogusz <qboosh@pld-linux.org> 97bf7db
- new

